<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
?>
<script type="text/javascript">
//<![CDATA[

Jsw.onReady(function() {

    var hints = [];

    <?php if ($this->showDomainRegistrationPromo):?>
        hints.push({
            componentType: 'Jsw.Hint',
            hint: '<?php echo Plesk_Base_Utils_String::safeForJs($this->form->lmsg('formRegistrationHint',
                array('link' => $this->htmlLink('', $this->form->lmsg('portalLink'),
                    array('href' => $this->baseUrl('/mpc/register-domains'), 'target' => '_blank')
                )))); ?>'
        });
    <?php endif; ?>

    hints.push({
        componentType: 'Jsw.Hint',
        hint: '<?php echo Plesk_Base_Utils_String::safeForJs($this->pageHint); ?>'
    });

    new Jsw.Panel({
        cls: 'tools-box',
        renderTo: 'main',
        renderMode: 'top',
        items: hints
    });

    // show/hide primitives
    function hideHosting() {
        $('hostingSettings-root').disable();
        $('hostingSettings').hide();
    }
    function showHosting() {
        $('hostingSettings-root').enable();
        $('hostingSettings').show();
    }
    function hideForwarding() {
        $('forwardingSettings-forwardTo').disable();
        $('forwardingSettings').hide();
    }
    function showForwarding() {
        $('forwardingSettings-forwardTo').enable();
        $('forwardingSettings').show();
    }

    // handlers
    function hostingActive() {
        hideForwarding();
        showHosting();
    }
    function forwardingActive() {
        hideHosting();
        showForwarding();
    }
    function noneActive() {
        hideHosting();
        hideForwarding();
    }

    // binding
    if ($('hostingType-hosting-hosting')) {
        $('hostingType-hosting-hosting').observe('click', hostingActive);
        if ($('hostingType-hosting-hosting').checked) {
            hostingActive();
        }
    }

    if ($('hostingType-hosting-forwarding')) {
        $('hostingType-hosting-forwarding').observe('click', forwardingActive);
        if ($('hostingType-hosting-forwarding').checked) {
            forwardingActive();
        }
    }

    if ($('hostingType-hosting-none')) {
        $('hostingType-hosting-none').observe('click', noneActive);
        if ($('hostingType-hosting-none').checked) {
            noneActive();
        }
    }

    (function() {
        if (!$('domainInfo')) {
            return;
        }

        var newWebspaceTargetControls = $w('domainInfo');
        var existingWebspaceTargetControls = $w('hostingType hostingSettings');
        if ($('dnsSettings')) {
            existingWebspaceTargetControls.push('dnsSettings');
        }
        if ($('domainName-webspace-form-row')) {
            existingWebspaceTargetControls.push('domainName-webspace-form-row');
        }

        function showNewWebspaceOptions() {
            newWebspaceTargetControls.each(Element.show);
            existingWebspaceTargetControls.each(Element.hide);
        }

        function showExistingWebspaceOptions() {
            existingWebspaceTargetControls.each(Element.show);
            newWebspaceTargetControls.each(Element.hide);
        }

        if ($('domainName-targetWebspace')) {
            showNewWebspaceOptions();
        } else {
            $('domainName-target-new').observe('click', showNewWebspaceOptions);
            if ($('domainName-target-new').checked) {
                showNewWebspaceOptions();
            }

            $('domainName-target-existing').observe('click', showExistingWebspaceOptions);
            if ($('domainName-target-existing').checked) {
                showExistingWebspaceOptions();
            }
        }
    })();
});

//]]>
</script>

<?php echo $this->form; ?>
